package com.company.sample.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@NamePattern("%s (%s)|name,price")
@Table(name = "SAMPLE_ITEM")
@Entity(name = "sample_Item")
public class Item extends StandardEntity {
    private static final long serialVersionUID = -2271174565927007316L;

    @Column(name = "NAME")
    protected String name;

    @Column(name = "PRICE")
    protected Integer price;

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}