-- begin SAMPLE_CUSTOMER
create table SAMPLE_CUSTOMER (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    --
    primary key (ID)
)^
-- end SAMPLE_CUSTOMER
-- begin SAMPLE_ORDER
create table SAMPLE_ORDER (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    CUSTOMER_ID varchar(36) not null,
    --
    primary key (ID)
)^
-- end SAMPLE_ORDER
-- begin SAMPLE_ITEM
create table SAMPLE_ITEM (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    PRICE integer,
    --
    primary key (ID)
)^
-- end SAMPLE_ITEM
-- begin SAMPLE_ORDER_ITEM_LINK
create table SAMPLE_ORDER_ITEM_LINK (
    ORDER_ID varchar(36) not null,
    ITEM_ID varchar(36) not null,
    primary key (ORDER_ID, ITEM_ID)
)^
-- end SAMPLE_ORDER_ITEM_LINK
